[SCM] Debian packaging for jack-audio-connection-kit branch, master, updated. debian/0.118+svn3796-3-80-g72c71f6

adiknoth-guest at users.alioth.debian.org adiknoth-guest at users.alioth.debian.org
Mon Jul 5 13:51:33 UTC 2010


The following commit has been merged in the master branch:
commit 72c71f6a1bf78283255616206a77a81e5a0d8621
Author: Adrian Knoth <adi at drcomp.erfurt.thur.de>
Date:   Mon Jul 5 15:42:52 2010 +0200

    Improve RTPRIO handling (Closes: #588008, #587977)
    
    We now check if /etc/security/limits.d/audio.conf{,.disabled} exists
    before moving it. This way, no error message as mentioned in #587977
    would be generated, the || true is redundant.
    
    If the user somehow deleted his audio.conf, we can now copy it over from
    /usr/share/jackd/. The directory was deliberately chosen (in contrast to
    /usr/share/jackd1 and /usr/share/jackd2) to enable reuse of the postinst
    script. Given that jackd1 conflicts jackd2, this shouldn't be a problem.

diff --git a/debian/jackd1.install b/debian/jackd1.install
index f5655cf..664e5d9 100644
--- a/debian/jackd1.install
+++ b/debian/jackd1.install
@@ -7,3 +7,4 @@ debian/tmp/usr/lib/jack/jack_net.so
 debian/tmp/usr/lib/jack/jack_oss.so
 debian/bash_completion.d etc
 debian/audio.conf etc/security/limits.d
+debian/audio.conf usr/share/jackd
diff --git a/debian/jackd1.postinst b/debian/jackd1.postinst
index 6cb11b5..93d0fe2 100644
--- a/debian/jackd1.postinst
+++ b/debian/jackd1.postinst
@@ -5,12 +5,22 @@
 
 CONFIG_FILE=/etc/security/limits.d/audio.conf
 
+# if neither $CONFIG_FILE nor ${CONFIG_FILE}.disabled exists, the file
+# somehow got lost. Let's copy it over from /usr/share/
+if [ ! -s ${CONFIG_FILE} -a ! -s ${CONFIG_FILE}.disabled ]; then
+    cp /usr/share/jackd/audio.conf ${CONFIG_FILE}.disabled
+fi
+
 db_get jackd/tweak_rt_limits
 if [ $RET = "true" ]; then
-    mv ${CONFIG_FILE}.disabled ${CONFIG_FILE} || true
+    if [ -e ${CONFIG_FILE}.disabled ]; then
+        mv ${CONFIG_FILE}.disabled ${CONFIG_FILE} || true
+    fi
 else
     # user doesn't want RT prio
-    mv $CONFIG_FILE ${CONFIG_FILE}.disabled || true
+    if [ -e $CONFIG_FILE ]; then 
+        mv $CONFIG_FILE ${CONFIG_FILE}.disabled || true
+    fi
 fi
 
 #DEBHELPER#

-- 
Debian packaging for jack-audio-connection-kit



More information about the pkg-multimedia-commits mailing list